+++
title = "Transition from Duckquill to Ametrine"
description = "In this guide, we will show you how to transition from Daudix's Duckquill to its successor, Ametrine!"
date = 2025-03-04
[extra]
toc = true
+++
# WIP!
(daudix will have less work writing this fr)
# Step 1: Getting Ametrine
First, you're going to navigate to the themes folder of your Zola installation. Example:

```bash
user@hostname:/# cd /var/www/zola/themes/
user@hostname:/var/www/zola/themes# 
```

## Don't clone as submodule
If Git is installed, you're going to clone Ametrine into the themes directory:
```bash
user@hostname:/var/www/zola/themes# git clone https://codeberg.org/daudix/ametrine
cd ametrine
```

## Clone as submodule (recommended!)
Or, if you use Submodules:

```bash
user@hostname:/var/www/zola/themes# git submodule init
user@hostname:/var/www/zola/themes# git submodule add https://codeberg.org/daudix/ametrine.git ametrine
```

# Step 2: Applying Ametrine
Next step is to change the config to use Ametrine instead of Duckquill

For this, go back to the root directory of the Zola installation:

```bash
user@hostname:/var/www/zola/themes# cd ..
user@hostname:/var/www/zola# ls
config.toml  content  public  static  templates  themes  zola
user@hostname:/var/www/zola# 
```

## Editing the file manually
Open the file in your favourite editor:
```bash
user@hostname:/var/www/zola# micro config.toml 
```

Find the line that says

```toml
theme = "duckquill"
```

and replace it with

```toml
theme = "ametrine"
```

## Using ``sed`` like a pro haxx0r
Feeling skid today? Use the following command to replace the line manually using sed:
```bash
user@hostname:/var/www/zola# sed -i 's/theme = \"duckquill\"/theme = \"ametrine\"/g' config.toml
```

# Building and praying
Well, time to build!

```bash
user@hostname:/var/www/zola# ./zola build
Building site...
Checking all internal links with anchors.
> Successfully checked 0 internal link(s) with anchors.
-> Creating 3 pages (0 orphan) and 1 sections
Done in 341ms.
```

* Note: The zola command may either only be available in the site's directory, or as a widely-available command, depending on your installation method of Zola.

We have done it!

You have transitioned from Duckquill to Ametrine, and so did we, joining [AeroNook (#1)](https://aeronook.tech) and [Mambuco (#2)](https://mambuco.dev/) in the transition, making us the third!

Ametrine is still experimental, but we are happy to see it grow so fast! Thank you [Daudix](https://daudix.one) for blessing us with this fr. Go check him out, he's a great and very talented person!

Thank you for reading!

Sincerely, RootsourceCC.
